List tours
curl --request GET \
--url https://api-sandbox.vulcanopro.com/api/v1/tours \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api-sandbox.vulcanopro.com/api/v1/tours', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-sandbox.vulcanopro.com/api/v1/tours"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "ok",
"timestamp": "<string>",
"data": {
"tours": [
{
"id": 3041,
"slug": "astro-experiencia",
"name": "Astro experiencia",
"short_description": "Tour nocturno de observación astronómica.",
"duration": "3",
"duration_type": "hour",
"capacity": 6,
"minimum_by_tour": 2,
"photo_url": "https://example.com/photo.jpeg",
"location": {
"city": "San Pedro de Atacama",
"address": "Av. Principal 123",
"country": "Chile",
"region": "Antofagasta"
},
"categories": [
{
"id": 5,
"name": "San Pedro de Atacama"
}
],
"zones": [
{
"id": 5,
"name": "San Pedro de Atacama"
}
],
"languages": [
"Espanol",
"Ingles"
],
"gallery": [
"https://example.com/gallery-1.jpeg"
],
"activities": [
"Fotografía",
"Naturaleza"
],
"included": [
"Transporte",
"Guía"
],
"not_included": [
"Propinas"
],
"before_tour": [
"Ropa cómoda",
"Agua"
],
"additional_activities": [
{
"id": 42,
"name": "almuerzo",
"description": "Almuerzo en el valle",
"price_clp": "10.000",
"price_usd": "10.00"
}
],
"policies": "<p>Cancelaciones con al menos 24 horas de anticipación.</p>",
"cancellations_policies": [
{
"id": 12,
"days_before_service": 7,
"penalty_percentage": 0
}
],
"dates": [
{
"date": "2026-07-12",
"rates": [
{
"name": "Adulto",
"ageFrom": 13,
"ageTo": 65,
"isChild": false,
"price_clp": "200.000",
"price_usd": "200.00"
}
],
"departures": [
{
"time": "15:30",
"capacity": 14,
"minimum": 1,
"booked": 0,
"availability": 14
}
]
}
]
}
],
"pagination": {
"page": 1,
"per_page": 10,
"total": 32,
"count": 10,
"last_page": 4
}
}
}Catalog
List tours
Requires the tours:read permission. zone, date_from, date_to, and passengers are required. Optionally filter by category. Returns tours with available rates and departures in the date range that have enough capacity for the requested passengers.
GET
/
tours
List tours
curl --request GET \
--url https://api-sandbox.vulcanopro.com/api/v1/tours \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api-sandbox.vulcanopro.com/api/v1/tours', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-sandbox.vulcanopro.com/api/v1/tours"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "ok",
"timestamp": "<string>",
"data": {
"tours": [
{
"id": 3041,
"slug": "astro-experiencia",
"name": "Astro experiencia",
"short_description": "Tour nocturno de observación astronómica.",
"duration": "3",
"duration_type": "hour",
"capacity": 6,
"minimum_by_tour": 2,
"photo_url": "https://example.com/photo.jpeg",
"location": {
"city": "San Pedro de Atacama",
"address": "Av. Principal 123",
"country": "Chile",
"region": "Antofagasta"
},
"categories": [
{
"id": 5,
"name": "San Pedro de Atacama"
}
],
"zones": [
{
"id": 5,
"name": "San Pedro de Atacama"
}
],
"languages": [
"Espanol",
"Ingles"
],
"gallery": [
"https://example.com/gallery-1.jpeg"
],
"activities": [
"Fotografía",
"Naturaleza"
],
"included": [
"Transporte",
"Guía"
],
"not_included": [
"Propinas"
],
"before_tour": [
"Ropa cómoda",
"Agua"
],
"additional_activities": [
{
"id": 42,
"name": "almuerzo",
"description": "Almuerzo en el valle",
"price_clp": "10.000",
"price_usd": "10.00"
}
],
"policies": "<p>Cancelaciones con al menos 24 horas de anticipación.</p>",
"cancellations_policies": [
{
"id": 12,
"days_before_service": 7,
"penalty_percentage": 0
}
],
"dates": [
{
"date": "2026-07-12",
"rates": [
{
"name": "Adulto",
"ageFrom": 13,
"ageTo": 65,
"isChild": false,
"price_clp": "200.000",
"price_usd": "200.00"
}
],
"departures": [
{
"time": "15:30",
"capacity": 14,
"minimum": 1,
"booked": 0,
"availability": 14
}
]
}
]
}
],
"pagination": {
"page": 1,
"per_page": 10,
"total": 32,
"count": 10,
"last_page": 4
}
}
}Authorizations
api-keyapi-secret
Partner API key
Query Parameters
Filter tours by Vulcano zone ID
Required range:
x >= 1Example:
5
Filter tours by Vulcano category ID
Required range:
x >= 1Example:
356
Start of date range (YYYY-MM-DD).
Example:
"2026-07-12"
End of date range (YYYY-MM-DD).
Example:
"2026-07-16"
Number of passengers. Filters departures where availability is greater than or equal to this value and excludes tours with no matching departures.
Required range:
x >= 1Example:
5
Page number (1-based)
Required range:
x >= 1Example:
1
Items per page
Required range:
1 <= x <= 100Example:
25